#include "tiny_timer.h"
	
	uint8_t dir=0;
	volatile uint8_t loop;
	volatile uint8_t freq;
	volatile uint8_t finish=1;
	volatile uint8_t input=4;
	volatile uint8_t modus=0;

	ISR(PCINT0_vect)
	{
	loop+=8;
	}

int main(void){

//	PortB0-1 als Output definieren
	DDRB  = 0b00000011;
	PORTB = 0b00000000;

//  PCINT2 IRQ aktivieren
	MCUCR &=~(1 << ISC01);
	MCUCR |= (1 << ISC00);
	GIMSK |= (1 << PCIE );
	PCMSK |= (1 << PCINT2);

// Timer aktivieren	
	timer_init();
//	timer_set_clk(1);

// ADC konfigurieren
	adc_init_ac();
	adc_init_adc();
	adc_conv_on();
	
	sei();

	while(1){
		
		
		for(uint8_t a=0;a<loop;a++)
			{
			_delay_us(20);
			}
		
		
		if(finish==1){
			if(freq<=42){timer_set_clk(1);}
			if(freq>42 && freq <=84){timer_set_clk(2);}
			if(freq>84 && freq <= 126){timer_set_clk(3);}
			if(freq>126 && freq <=168){timer_set_clk(4);}
			if(freq>168 && freq <= 210){timer_set_clk(5);}
			if(freq>210){timer_set_clk(0);}


			if(modus==0){
				adc_conv_in(3);
				modus =1;
			}else {
		 		modus=0;
		 		adc_conv_in(2);
			}

		adc_conv_start();

		}

		
		if(dir == 0)OCR0A++;
		if(dir == 1)OCR0A--;
		if(OCR0A==255)dir=1;
		if(OCR0A==0  )dir=0;
		
	/*
		if(loop<250)
			{
			OCR0A = loop;
			} else{
			OCR0A = 250;
			}
				*/
		}

	return 0;
	}
